Loading...
Searching...
No Matches
bsoncxx::v_noabi::types::b_codewscope Struct Reference

`#include <bsoncxx/v_noabi/bsoncxx/types.hpp>`

## Description

A BSON JavaScript code with scope value.

## Public Member Functions

template<typename T, typename U, detail::requires_not_t< int, detail::is_alike< b_codewscope, T > > = 0>
| b_codewscope (T &&code, U &&scope)
| Constructor for b_codewscope.

## Related Symbols

(Note that these are not member symbols.)
bool | operator!= (b_codewscope const &lhs, b_codewscope const &rhs)
| free function comparator for b_codewscope
bool | operator== (b_codewscope const &lhs, b_codewscope const &rhs)
| free function comparator for b_codewscope

## Constructor & Destructor Documentation

## b_codewscope()

template<typename T, typename U, detail::requires_not_t< int, detail::is_alike< b_codewscope, T > > = 0>

bsoncxx::v_noabi::types::b_codewscope::b_codewscope | ( | T && | code,
|  | U && | scope )

inline explicit

Constructor for b_codewscope.

Parameters

  code | The js code
  scope | A bson document view holding the scope environment.

## Friends And Related Symbol Documentation

## operator!=()

bool operator!= | ( | b_codewscope const & | lhs,
|  | b_codewscope const & | rhs )

related

free function comparator for b_codewscope

## operator==()

bool operator== | ( | b_codewscope const & | lhs,
|  | b_codewscope const & | rhs )

related

free function comparator for b_codewscope

The documentation for this struct was generated from the following file:

- bsoncxx/v_noabi/bsoncxx/types.hpp